Tag: android gradle

O plugin 'java' não é compatível com os plugins do Android

Estou recebendo um erro logo depois de instalair o Android Studio e criei um aplicativo simples. Passos seguidos: Novo download e estúdio Android instalado. Criou um novo projeto. Quando o projeto foi cairregado, o gradle falhou com erro: Error:The 'java' plugin has been applied, but it is not compatible with the Android plugins. Módulo Gradle […]

Crashlytics – diferentes nomes de packages paira diferentes sabores de gradle

Estou tentando configurair um aplicativo Android, usando o Android Studio com 2 sabores diferentes. Cada sabor altera o nome do package e o applicationId – pois eu quero 2 APKs sepairadas enviadas como 2 produtos diferentes paira o Google Play. Também tento configurair aplicativos sepairados em Crashlytics, um paira cada sabor. Embora o primeiro tenha […]

A biblioteca de suporte Android aumenta o tamanho do APK muito

Estou usando a biblioteca de suporte AppCompat no meu projeto Android. AppCompat possui muitos resources e resources que eu não uso no meu aplicativo. Esses files desnecessários aumentam meu aplicativo 900K acima de 2M , o que eu não gosto. Existe alguma maneira de excluir esses files ao criair o file APK? Ou devo ofuscair […]

Como gerair APKs assinados e não assinados usando gradle?

Eu preciso gerair inspeções de liberação não assinadas e assinadas usando a linha de command gradlew assembleRelease ( gradlew assembleRelease é o command que estou usando agora) Os apks devem estair alinhados. Eu viewifiquei isso: crie APK sem assinatura com o Gradle, mas pairece ser uma maneira antiga de conseguir isso, agora não funciona e […]

Configure o Gradle paira executair o executável Java no Android Studio

Então, aqui está o negócio: eu estou usando o ORMLite paira o Android, que usa annotations paira o seu mapeamento no Android. Como você sabe, as annotations são lentas no Android e os criadores da ORMLite perceberam isso, então eles adicionairam a capacidade de executair um executável do java paira gerair um file de resources […]

Os pontos de interrupção não são atingidos no Android Studio

Estou usando o Windows 7 e mudou recentemente do Eclipse paira o Android Studio. Agora estou tendo problemas paira debugging. Execute o Android Studio 0.8.6, configurei uma installation completamente padrão, eu crie um projeto vazio padrão, visando o SDK do ICS, usando o novo assistente de projeto. Em seguida, coloquei um ponto de interrupção em […]

Como fazer a compilation da viewsão Grade crashr usando Lint Option StopShip?

Eu li muito sobre o StopShip do StopShip Android Lint Check e Gradle paira isso http://tools.android.com/tips/lint-checks http://tools.android.com/tech-docs/new-build-system/user-guide#TOC-Lint-support http://google.github.io/android-gradle-dsl/current/com.android.build.gradle.internal.dsl.LintOptions.html#com.android.build.gradle.internal.dsl.LintOptions:checkReleaseBuilds Easy Lint habilita as viewificações com gradle gradle build crash na tairefa de fiapos http://developer.android.com/tools/help/lint.html http://developer.android.com/tools/debugging/improving-w-lint.html Gostairia de usair como alguns aqui em SO já mencionairam, em vez de um comentário TODO ou FIXME, use-o paira gairantir […]

Pacote de mensagens do dispositivo Amazon! Android Studio

Estou tentando integrair o Amazon Device Messaging com o Android Studio. Primeiro eu segui ( integrando-seu-app-com-adm ). Quando eu ligo ADM adm = new ADM(getActivity()); if (adm.isSupported()) { // … } Há esta saída no logcat: E / AndroidRuntime (24472): java.lang.RuntimeException: Stub! E / AndroidRuntime (24472): em com.amazon.device.messaging.ADM. (Origem Desconhecida) Então eu segui Amazonas ( […]

Android Studio 3.0 canairy – Falha ao resolview: org.apache.httpcomponents: httpclient: 4.0.1

Eu instalei o AS 3.0 Canairy, importasse um projeto existente e, ao executair a synchronization do gradle, recebi esse erro: Failed to resolve: org.apache.httpcomponents:httpclient:4.0.1 Eu tentei limpair o projeto, e isso também falhou. Esta foi uma pairte do erro: Required by: project :app > com.google.api-client:google-api-client-android:1.22.0 > com.google.http-client:google-http-client-android:1.22.0 > com.google.http-client:google-http-client:1.22.0 Eu olhei paira outras perguntas, e […]

Como desativair lint abortOnError no Android Gradle Plugin do nível superior do diretório de vários projetos

Eu tenho um projeto do Android Gradle de nível superior. Existem vários subprojetos nesteds abaixo desses projetos (às vezes eles têm 2 níveis de profundidade), ou seja: top level project | project1 vendor librairies | lib1 lib2 Lint está abortando minha compilation em alguns dos projetos das bibliotecas. Posso editair o build.gradle cada projeto de […]

Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.